Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Dynamic_Adapter Class Reference

TAO_Dynamic_Adapter. More...

`#include <Dynamic_Adapter.h>`

Inheritance diagram for TAO_Dynamic_Adapter:

[legend]
Collaboration diagram for TAO_Dynamic_Adapter:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_Dynamic_Adapter (void)
virtual void | create_request (CORBA::Object_ptr obj, CORBA::ORB_ptr orb, const char *operation, CORBA::NVList_ptr arg_list, CORBA::NamedValue_ptr result, CORBA::ExceptionList_ptr exceptions, CORBA::Request_ptr &request, CORBA::Flags req_flags ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual CORBA::Request_ptr | request (CORBA::Object_ptr obj, CORBA::ORB_ptr orb, const char *op ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual CORBA::Boolean | context_is_nil (CORBA::Context_ptr ctx)
virtual CORBA::Boolean | request_is_nil (CORBA::Request_ptr req)
virtual CORBA::Boolean | server_request_is_nil (CORBA::ServerRequest_ptr req)
virtual void | context_release (CORBA::Context_ptr ctx)
virtual void | request_release (CORBA::Request_ptr req)
virtual void | server_request_release (CORBA::ServerRequest_ptr req)
virtual void | create_exception_list (CORBA::ExceptionList_ptr &ACE_ENV_ARG_DECL_NOT_USED)

## Detailed Description

TAO_Dynamic_Adapter.

Class that adapts various functions in the CORBA namespace related to DII/DSI, which is no longer found in the TAO library. This is a base for the actual implementation in the DynamicInterface library.

## Constructor & Destructor Documentation

TAO_Dynamic_Adapter::~TAO_Dynamic_Adapter | ( | void |  | ) | `[virtual]`

## Member Function Documentation

CORBA::Boolean TAO_Dynamic_Adapter::context_is_nil | ( | CORBA::Context_ptr | ctx | ) | `[virtual]`

void TAO_Dynamic_Adapter::context_release | ( | CORBA::Context_ptr | ctx | ) | `[virtual]`

void TAO_Dynamic_Adapter::create_exception_list | ( | CORBA::ExceptionList_ptr & | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

void TAO_Dynamic_Adapter::create_request | ( | CORBA::Object_ptr | obj,
|  | CORBA::ORB_ptr | orb,
|  | const char * | operation,
|  | CORBA::NVList_ptr | arg_list,
|  | CORBA::NamedValue_ptr | result,
|  | CORBA::ExceptionList_ptr | exceptions,
|  | CORBA::Request_ptr & | request,
|  | CORBA::Flags | ACE_ENV_ARG_DECL_NOT_USED
| ) | `[virtual]`

virtual CORBA::Request_ptr TAO_Dynamic_Adapter::request | ( | CORBA::Object_ptr | obj,
|  | CORBA::ORB_ptr | orb,
|  | const char *op | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | `[virtual]`

CORBA::Boolean TAO_Dynamic_Adapter::request_is_nil | ( | CORBA::Request_ptr | req | ) | `[virtual]`

void TAO_Dynamic_Adapter::request_release | ( | CORBA::Request_ptr | req | ) | `[virtual]`

CORBA::Boolean TAO_Dynamic_Adapter::server_request_is_nil | ( | CORBA::ServerRequest_ptr | req | ) | `[virtual]`

void TAO_Dynamic_Adapter::server_request_release | ( | CORBA::ServerRequest_ptr | req | ) | `[virtual]`

The documentation for this class was generated from the following files:

- Dynamic_Adapter.h
- Dynamic_Adapter.cpp